Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::Array< TYPE > Class Template Reference

Utility template class to handle sharable arrays of simple data types. More...

`#include <Array.h>`

## Public Types

typedef Array< TYPE > | this_type
typedef ArrayData< TYPE > | array_type

## Public Member Functions

| Array ()
void | reset ()
void | resize (int32_t size)
TYPE * | get () const
int32_t | size () const
bool | equals (const this_type &other) const
int32_t | hashCode () const
TYPE & | operator[] (int32_t i) const
| operator bool () const
bool | operator! () const
bool | operator== (const Array< TYPE > &other)
bool | operator!= (const Array< TYPE > &other)

## Static Public Member Functions

static this_type | newInstance (int32_t size)

## Protected Attributes

boost::shared_ptr< array_type > | container
array_type * | array

## Detailed Description

template<typename TYPE>
class Lucene::Array< TYPE >

Utility template class to handle sharable arrays of simple data types.

## Member Typedef Documentation

## ◆ array_type

template<typename TYPE >

typedef ArrayData<TYPE> Lucene::Array< TYPE >::array_type

## ◆ this_type

template<typename TYPE >

typedef Array<TYPE> Lucene::Array< TYPE >::this_type

## Constructor & Destructor Documentation

## ◆ Array()

template<typename TYPE >

Lucene::Array< TYPE >::Array | ( |  | ) |

inline

References Lucene::Array< TYPE >::array.

## Member Function Documentation

## ◆ equals()

template<typename TYPE >

bool Lucene::Array< TYPE >::equals | ( | const this_type & | other | ) | const

inline

References Lucene::Array< TYPE >::array, Lucene::ArrayData< TYPE >::data, and Lucene::ArrayData< TYPE >::size.

## ◆ get()

template<typename TYPE >

TYPE * Lucene::Array< TYPE >::get | ( |  | ) | const

inline

References Lucene::Array< TYPE >::array, and Lucene::ArrayData< TYPE >::data.

## ◆ hashCode()

template<typename TYPE >

int32_t Lucene::Array< TYPE >::hashCode | ( |  | ) | const

inline

References Lucene::Array< TYPE >::array.

Referenced by Lucene::hash_value(), and Lucene::operator==().

## ◆ newInstance()

template<typename TYPE >

static this_type Lucene::Array< TYPE >::newInstance | ( | int32_t | size | ) |

inline static

References Lucene::Array< TYPE >::array, Lucene::Array< TYPE >::container, and Lucene::Array< TYPE >::size().

Referenced by Lucene::TranslationResult< TYPE >::setLength(), and Lucene::TranslationResult< TYPE >::TranslationResult().

## ◆ operator bool()

template<typename TYPE >

Lucene::Array< TYPE >::operator bool | ( |  | ) | const

inline

References Lucene::Array< TYPE >::container.

## ◆ operator!()

template<typename TYPE >

bool Lucene::Array< TYPE >::operator! | ( |  | ) | const

inline

References Lucene::Array< TYPE >::container.

## ◆ operator!=()

template<typename TYPE >

bool Lucene::Array< TYPE >::operator!= | ( | const Array< TYPE > & | other | ) |

inline

References Lucene::Array< TYPE >::container.

## ◆ operator==()

template<typename TYPE >

bool Lucene::Array< TYPE >::operator== | ( | const Array< TYPE > & | other | ) |

inline

References Lucene::Array< TYPE >::container.

## ◆ operator[]()

template<typename TYPE >

TYPE & Lucene::Array< TYPE >::operator[] | ( | int32_t | i | ) | const

inline

References Lucene::Array< TYPE >::array, and Lucene::ArrayData< TYPE >::data.

## ◆ reset()

template<typename TYPE >

void Lucene::Array< TYPE >::reset | ( |  | ) |

inline

References Lucene::Array< TYPE >::resize().

## ◆ resize()

template<typename TYPE >

void Lucene::Array< TYPE >::resize | ( | int32_t | size | ) |

inline

References Lucene::Array< TYPE >::array, Lucene::Array< TYPE >::container, and Lucene::Array< TYPE >::size().

Referenced by Lucene::Array< TYPE >::reset().

## ◆ size()

template<typename TYPE >

int32_t Lucene::Array< TYPE >::size | ( |  | ) | const

inline

References Lucene::Array< TYPE >::array, and Lucene::ArrayData< TYPE >::size.

Referenced by Lucene::Array< TYPE >::newInstance(), and Lucene::Array< TYPE >::resize().

## Field Documentation

## ◆ array

template<typename TYPE >

array_type* Lucene::Array< TYPE >::array

protected

Referenced by Lucene::Array< TYPE >::Array(), Lucene::Array< TYPE >::equals(), Lucene::Array< TYPE >::get(), Lucene::Array< TYPE >::hashCode(), Lucene::Array< TYPE >::newInstance(), Lucene::Array< TYPE >::operator[](), Lucene::Array< TYPE >::resize(), and Lucene::Array< TYPE >::size().

## ◆ container

template<typename TYPE >

boost::shared_ptr<array_type> Lucene::Array< TYPE >::container

protected

Referenced by Lucene::Array< TYPE >::newInstance(), Lucene::Array< TYPE >::operator bool(), Lucene::Array< TYPE >::operator!(), Lucene::Array< TYPE >::operator!=(), Lucene::Array< TYPE >::operator==(), and Lucene::Array< TYPE >::resize().

The documentation for this class was generated from the following file:

- Array.h

clucene.sourceforge.net